import { Component, OnInit, ViewEncapsulation } from '@angular/core';
import SwiperCore, { SwiperOptions }  from 'swiper';
import  { Autoplay }from 'swiper';
import Swiper from 'swiper';
SwiperCore.use([Autoplay]);
@Component({
  selector: 'app-slider',
  templateUrl: './slider.component.html',
  styleUrls: ['./slider.component.css'],
  encapsulation  :ViewEncapsulation.ShadowDom
})
export class SliderComponent implements OnInit{

  slides = [
    '../../assets/slide1.png' ,
    '../../assets/slide2.png' ,
    '../../assets/slide3.jpg'
  ]

  config: SwiperOptions = {
    slidesPerView: 1,
    direction: 'horizontal',
    pagination: { clickable: true },
    scrollbar: { draggable: true },
    autoplay: {
      delay: 3000,
      disableOnInteraction: false
    }
  };
  constructor() { }

  ngOnInit(): void {
  }
}
