import { Component, OnInit  } from '@angular/core';
import { MyserviceService } from '../myservice.service';

@Component({
  selector: 'app-second',
  templateUrl: './second.component.html',
  styleUrls: ['./second.component.css']
})
export class SecondComponent implements OnInit {
  items :any=[];
  htmlItems :any;
  constructor(private myService : MyserviceService) { }
  ngOnInit(): void {
    this.getproducts();
  }
  getproducts(){
    this.myService.getproducts().subscribe(id=>{
      this.items=id;
      this.addItems();
    });
  }
  addItems(){
    this.htmlItems="";
    for(let i = 0 ; i < 20 ; i++){
      this.htmlItems += `<div class="item">
      <img src="${this.items[i].thumbnailUrl}" alt="" >
      <h6>${this.items[i].title}</h6>
    </div>`;
    }
    console.log(this.htmlItems);

  }
}
